Package bitel.billing.server.radius

# Class RadiusStandartAttributes

java.lang.Object
bitel.billing.server.radius.RadiusStandartAttributes

public class RadiusStandartAttributes extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `Acct_Authentic`
  `static final int`
  `Acct_Delay_Time`
  `static final int`
  `Acct_Input_Gigawords`
  `static final int`
  `Acct_Input_Octets`
  `static final int`
  `Acct_Input_Packets`
  `static final int`
  `Acct_Output_Gigawords`
  `static final int`
  `Acct_Output_Octets`
  `static final int`
  `Acct_Output_Packets`
  `static final int`
  `Acct_Session_Id`
  `static final int`
  `Acct_Session_Time`
  `static final int`
  `Acct_Status_Type`
  `static final int`
  `Acct_Terminate_Cause`
  `static final int`
  `Callback_Id`
  `static final int`
  `Callback_Number`
  `static final int`
  `Called_Station_Id`
  `static final int`
  `Calling_Station_Id`
  `static final int`
  `CHAP_Challenge`
  `static final int`
  `CHAP_Password`
  `static final int`
  `Class`
  `static final int`
  `Digest_AKA_Auts`
  `static final int`
  `Digest_Algorithm`
  `static final int`
  `Digest_Auth_Param`
  `static final int`
  `Digest_CNonce`
  `static final int`
  `Digest_Domain`
  `static final int`
  `Digest_Entity_Body_Hash`
  `static final int`
  `Digest_HA1`
  `static final int`
  `Digest_Method`
  `static final int`
  `Digest_Nextnonce`
  `static final int`
  `Digest_Nonce`
  `static final int`
  `Digest_Nonce_Count`
  `static final int`
  `Digest_Opaque`
  `static final int`
  `Digest_Qop`
  `static final int`
  `Digest_Realm`
  `static final int`
  `Digest_Response`
  `static final int`
  `Digest_Response_Auth`
  `static final int`
  `Digest_Stale`
  `static final int`
  `Digest_URI`
  `static final int`
  `Digest_Username`
  `static final int`
  `Draft_Digest_Attributes`
  `static final int`
  `Draft_Digest_Response`
  `static final int`
  `EAP_Message`
  `static final int`
  `Filter_Id`
  `static final int`
  `Framed_AppleTalk_Link`
  `static final int`
  `Framed_AppleTalk_Network`
  `static final int`
  `Framed_AppleTalk_Zone`
  `static final int`
  `Framed_Compression`
  `static final int`
  `Framed_IP_Address`
  `static final int`
  `Framed_IP_Netmask`
  `static final int`
  `Framed_IPX_Network`
  `static final int`
  `Framed_MTU`
  `static final int`
  `Framed_Pool`
  `static final int`
  `Framed_Protocol`
  `static final int`
  `Framed_Route`
  `static final int`
  `Framed_Routing`
  `static final int`
  `Idle_Timeout`
  `static final int`
  `Login_IP_Host`
  `static final int`
  `Login_LAT_Group`
  `static final int`
  `Login_LAT_Node`
  `static final int`
  `Login_LAT_Port`
  `static final int`
  `Login_LAT_Service`
  `static final int`
  `Login_Service`
  `static final int`
  `Login_TCP_Port`
  `static final int`
  `Message_Authenticator`
  `static final int`
  `NAS_Identifier`
  `static final int`
  `NAS_IP_Address`
  `static final int`
  `NAS_Port`
  `static final int`
  `NAS_Port_Type`
  `static final int`
  `Port_Limit`
  `static final int`
  `Proxy_State`
  `static final int`
  `Reply_Message`
  `static final int`
  `Service_Type`
  `static final int`
  `Session_Timeout`
  `static final int`
  `SIP_AOR`
  `static final int`
  `State`
  `static final int`
  `Termination_Action`
  `static final int`
  `Tunnel_Client_Endpoint`
  `static final int`
  `Tunnel_Server_Endpoint`
  `static final int`
  `User_Name`
  `static final int`
  `User_Password`
  `static final int`
  `Vendor_Specific`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RadiusStandartAttributes()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### User_Name

    public static final int User_Name
    See Also:
      - Constant Field Values

  - ### User_Password

    public static final int User_Password
    See Also:
      - Constant Field Values

  - ### CHAP_Password

    public static final int CHAP_Password
    See Also:
      - Constant Field Values

  - ### NAS_IP_Address

    public static final int NAS_IP_Address
    See Also:
      - Constant Field Values

  - ### NAS_Port

    public static final int NAS_Port
    See Also:
      - Constant Field Values

  - ### Service_Type

    public static final int Service_Type
    See Also:
      - Constant Field Values

  - ### Framed_Protocol

    public static final int Framed_Protocol
    See Also:
      - Constant Field Values

  - ### Framed_IP_Address

    public static final int Framed_IP_Address
    See Also:
      - Constant Field Values

  - ### Framed_IP_Netmask

    public static final int Framed_IP_Netmask
    See Also:
      - Constant Field Values

  - ### Framed_Routing

    public static final int Framed_Routing
    See Also:
      - Constant Field Values

  - ### Filter_Id

    public static final int Filter_Id
    See Also:
      - Constant Field Values

  - ### Framed_MTU

    public static final int Framed_MTU
    See Also:
      - Constant Field Values

  - ### Framed_Compression

    public static final int Framed_Compression
    See Also:
      - Constant Field Values

  - ### Login_IP_Host

    public static final int Login_IP_Host
    See Also:
      - Constant Field Values

  - ### Login_Service

    public static final int Login_Service
    See Also:
      - Constant Field Values

  - ### Login_TCP_Port

    public static final int Login_TCP_Port
    See Also:
      - Constant Field Values

  - ### Reply_Message

    public static final int Reply_Message
    See Also:
      - Constant Field Values

  - ### Callback_Number

    public static final int Callback_Number
    See Also:
      - Constant Field Values

  - ### Callback_Id

    public static final int Callback_Id
    See Also:
      - Constant Field Values

  - ### Framed_Route

    public static final int Framed_Route
    See Also:
      - Constant Field Values

  - ### Framed_IPX_Network

    public static final int Framed_IPX_Network
    See Also:
      - Constant Field Values

  - ### State

    public static final int State
    See Also:
      - Constant Field Values

  - ### Class

    public static final int Class
    See Also:
      - Constant Field Values

  - ### Vendor_Specific

    public static final int Vendor_Specific
    See Also:
      - Constant Field Values

  - ### Session_Timeout

    public static final int Session_Timeout
    See Also:
      - Constant Field Values

  - ### Idle_Timeout

    public static final int Idle_Timeout
    See Also:
      - Constant Field Values

  - ### Termination_Action

    public static final int Termination_Action
    See Also:
      - Constant Field Values

  - ### Called_Station_Id

    public static final int Called_Station_Id
    See Also:
      - Constant Field Values

  - ### Calling_Station_Id

    public static final int Calling_Station_Id
    See Also:
      - Constant Field Values

  - ### NAS_Identifier

    public static final int NAS_Identifier
    See Also:
      - Constant Field Values

  - ### Proxy_State

    public static final int Proxy_State
    See Also:
      - Constant Field Values

  - ### Login_LAT_Service

    public static final int Login_LAT_Service
    See Also:
      - Constant Field Values

  - ### Login_LAT_Node

    public static final int Login_LAT_Node
    See Also:
      - Constant Field Values

  - ### Login_LAT_Group

    public static final int Login_LAT_Group
    See Also:
      - Constant Field Values

  - ### Framed_AppleTalk_Link

    public static final int Framed_AppleTalk_Link
    See Also:
      - Constant Field Values

  - ### Framed_AppleTalk_Network

    public static final int Framed_AppleTalk_Network
    See Also:
      - Constant Field Values

  - ### Framed_AppleTalk_Zone

    public static final int Framed_AppleTalk_Zone
    See Also:
      - Constant Field Values

  - ### Acct_Input_Gigawords

    public static final int Acct_Input_Gigawords
    See Also:
      - Constant Field Values

  - ### Acct_Output_Gigawords

    public static final int Acct_Output_Gigawords
    See Also:
      - Constant Field Values

  - ### CHAP_Challenge

    public static final int CHAP_Challenge
    See Also:
      - Constant Field Values

  - ### NAS_Port_Type

    public static final int NAS_Port_Type
    See Also:
      - Constant Field Values

  - ### Port_Limit

    public static final int Port_Limit
    See Also:
      - Constant Field Values

  - ### Login_LAT_Port

    public static final int Login_LAT_Port
    See Also:
      - Constant Field Values

  - ### Acct_Status_Type

    public static final int Acct_Status_Type
    See Also:
      - Constant Field Values

  - ### Acct_Delay_Time

    public static final int Acct_Delay_Time
    See Also:
      - Constant Field Values

  - ### Acct_Input_Octets

    public static final int Acct_Input_Octets
    See Also:
      - Constant Field Values

  - ### Acct_Output_Octets

    public static final int Acct_Output_Octets
    See Also:
      - Constant Field Values

  - ### Acct_Session_Id

    public static final int Acct_Session_Id
    See Also:
      - Constant Field Values

  - ### Acct_Authentic

    public static final int Acct_Authentic
    See Also:
      - Constant Field Values

  - ### Acct_Session_Time

    public static final int Acct_Session_Time
    See Also:
      - Constant Field Values

  - ### Acct_Input_Packets

    public static final int Acct_Input_Packets
    See Also:
      - Constant Field Values

  - ### Acct_Output_Packets

    public static final int Acct_Output_Packets
    See Also:
      - Constant Field Values

  - ### Acct_Terminate_Cause

    public static final int Acct_Terminate_Cause
    See Also:
      - Constant Field Values

  - ### Tunnel_Client_Endpoint

    public static final int Tunnel_Client_Endpoint
    See Also:
      - Constant Field Values

  - ### Tunnel_Server_Endpoint

    public static final int Tunnel_Server_Endpoint
    See Also:
      - Constant Field Values

  - ### EAP_Message

    public static final int EAP_Message
    See Also:
      - Constant Field Values

  - ### Message_Authenticator

    public static final int Message_Authenticator
    See Also:
      - Constant Field Values

  - ### Framed_Pool

    public static final int Framed_Pool
    See Also:
      - Constant Field Values

  - ### Draft_Digest_Response

    public static final int Draft_Digest_Response
    See Also:
      - Constant Field Values

  - ### Draft_Digest_Attributes

    public static final int Draft_Digest_Attributes
    See Also:
      - Constant Field Values

  - ### Digest_Response

    public static final int Digest_Response
    See Also:
      - Constant Field Values

  - ### Digest_Realm

    public static final int Digest_Realm
    See Also:
      - Constant Field Values

  - ### Digest_Nonce

    public static final int Digest_Nonce
    See Also:
      - Constant Field Values

  - ### Digest_Response_Auth

    public static final int Digest_Response_Auth
    See Also:
      - Constant Field Values

  - ### Digest_Nextnonce

    public static final int Digest_Nextnonce
    See Also:
      - Constant Field Values

  - ### Digest_Method

    public static final int Digest_Method
    See Also:
      - Constant Field Values

  - ### Digest_URI

    public static final int Digest_URI
    See Also:
      - Constant Field Values

  - ### Digest_Qop

    public static final int Digest_Qop
    See Also:
      - Constant Field Values

  - ### Digest_Algorithm

    public static final int Digest_Algorithm
    See Also:
      - Constant Field Values

  - ### Digest_Entity_Body_Hash

    public static final int Digest_Entity_Body_Hash
    See Also:
      - Constant Field Values

  - ### Digest_CNonce

    public static final int Digest_CNonce
    See Also:
      - Constant Field Values

  - ### Digest_Nonce_Count

    public static final int Digest_Nonce_Count
    See Also:
      - Constant Field Values

  - ### Digest_Username

    public static final int Digest_Username
    See Also:
      - Constant Field Values

  - ### Digest_Opaque

    public static final int Digest_Opaque
    See Also:
      - Constant Field Values

  - ### Digest_Auth_Param

    public static final int Digest_Auth_Param
    See Also:
      - Constant Field Values

  - ### Digest_AKA_Auts

    public static final int Digest_AKA_Auts
    See Also:
      - Constant Field Values

  - ### Digest_Domain

    public static final int Digest_Domain
    See Also:
      - Constant Field Values

  - ### Digest_Stale

    public static final int Digest_Stale
    See Also:
      - Constant Field Values

  - ### Digest_HA1

    public static final int Digest_HA1
    See Also:
      - Constant Field Values

  - ### SIP_AOR

    public static final int SIP_AOR
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### RadiusStandartAttributes

    public RadiusStandartAttributes()